---
title: "Agoda API: Search | Perceptlayer"
description: "Search from Agoda as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/agoda/search
---

[APIs](https://perceptlayer.com/apis) / [Agoda](https://perceptlayer.com/apis/agoda) / Search

# Agoda: Search

Search from Agoda as JSON. 1 credit per successful call.

GET `/v1/agoda/search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `check_in` | string | Required | Any |
| `check_out` | string | Required | Any |
| `adults` | integer | Optional | Any |
| `rooms` | integer | Optional | Any |
| `children_ages[]` | list of integer | Optional | Any |
| `city_id` | integer | Required | Any |
| `currency` | string | Optional | Any |
| `page` | integer | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/agoda/search" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/agoda?try=search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
